part of 'functions_bloc_bloc.dart';

class FunctionBlocState extends Equatable {
  final List<DeviceFunctionData> functions;
  final String? selectedFunction;

  const FunctionBlocState({
    this.functions = const [],
    this.selectedFunction,
  });

  FunctionBlocState copyWith({
    List<DeviceFunctionData>? functions,
    String? selectedFunction,
  }) {
    return FunctionBlocState(
      functions: functions ?? this.functions,
      selectedFunction: selectedFunction ?? this.selectedFunction,
    );
  }

  @override
  List<Object?> get props => [functions, selectedFunction];
}
